namespace ProdServerExamples
{
	//This class represents a single row in the patients.csv file that is present in the example directory
	//The member names are specific to what is mentioned in the csv
	
    public class PatientData
    {
        double age;
        double diastolic;
        string gender;
        double height;
        string selfAssessedHealthStatus;
        double systolic;
        double weight;

        public PatientData(double ag, double dia, string gen, double heigh, string self, double sys, double weigh)
        {
            age = ag;
            diastolic = dia;
            gender = gen;
            height = heigh;
            selfAssessedHealthStatus = self;
            systolic = sys;
            weight = weigh;
        }

        public double Age
        {
            get
            {
                return age;
            }
        }

        public double Diastolic
        {
            get
            {
                return diastolic;
            }
        }

        public string Gender
        {
            get
            {
                return gender;
            }
        }

        public double Height
        {
            get
            {
                return height;
            }
        }

        public string SelfAssessedHealthStatus
        {
            get
            {
                return selfAssessedHealthStatus;
            }
        }

        public double Systolic
        {
            get
            {
                return systolic;
            }
        }

        public double Weight
        {
            get
            {
                return weight;
            }
        }


        public override string ToString()
        {
            return age + " : " + diastolic + " : " + gender+ " : " + height + " : " + selfAssessedHealthStatus + " : " + systolic + " : " + weight;
        }
    }
}
